Explorar a referência
Todos os recursos
Objetivos
4 endpoints · As descrições dos endpoints estão em inglês.
Get the goal attached to a category
GET
/households/{householdId}/categories/{categoryId}/goalread:goals
Parâmetros
| Nome | Local | Obrigatório |
|---|---|---|
| categoryId | path | Obrigatório |
Exemplo de pedido
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/categories/{categoryId}/goalResposta200 · Success
Create or replace the goal on a category (one goal per category)
PUT
/households/{householdId}/categories/{categoryId}/goalwrite:goals
Parâmetros
| Nome | Local | Obrigatório |
|---|---|---|
| categoryId | path | Obrigatório |
Corpo do pedido
json
{ "kind": "target_by_date", "targetCents": 600000, "byDate": "2026-12-31"}Exemplo de pedido
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Content-Type: application/json" \ -H "Idempotency-Key: $(uuidgen)" \ -X PUT https://api.vokse.ai/households/current/categories/{categoryId}/goal \ -d '{"kind":"target_by_date","targetCents":600000,"byDate":"2026-12-31"}'Resposta200 · Success
Remove the goal from a category
DELETE
/households/{householdId}/categories/{categoryId}/goalwrite:goals
Parâmetros
| Nome | Local | Obrigatório |
|---|---|---|
| categoryId | path | Obrigatório |
Exemplo de pedido
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X DELETE https://api.vokse.ai/households/current/categories/{categoryId}/goalResposta204 · No content
List every goal in the household
GET
/households/{householdId}/goalsread:goals
Exemplo de pedido
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/goalsResposta200 · Success